package MN;

use MN::Engine;
use MN::Template;
use MN::News;
use MN::Topic;
use MN::Subscr;
use MN::User;
use MN::UserGroup;
use MN::CGI;
use MN::Theme;

use vars qw($VERSION);
use strict qw(vars);

use Exporter;
@MN::ISA = qw(Exporter);
@MN::EXPORT = qw(__ _c_);

$VERSION = "1.2b1";

1;

__END__

=pod

=head1 NAME

MN - Module to build a web news scanner.

=head1 SYNOPSIS

 use strict;
 use MN 1.0;

 my $mne = new MN::Engine();
 my $tmpl = MN::Template->getObject("mysite");
 $tmpl->setCurrent();
 my $nnews = $tmpl->getNews(1);
 my $news;
 foreach $news (@{$nnews})
 {
     $news->extract();
     $news->add();
 }

=head1 DESCRIPTION

MyNews is a module that allows to build a script to scan some websites for recent news and store them in a database.

A web based interface can be added to access to the stored news.

Users can subscribe to the website to receive email when recent news has been added.

=head1 SEE ALSO

L<MN::Engine>, L<MN::Template>, L<MN::News>, L<MN::CGI>

=cut
