#!/usr/bin/perl

use strict;
use Test::More tests => 11;

BEGIN { use_ok('MN::Template'); }
BEGIN { use_ok('HTTP::Lite'); }

my $tmpl = new MN::Template();
$tmpl->{id} = "MN_".$$."_".time();
$tmpl->{rx_news_start} = '<h1>';
$tmpl->{rx_news_end} = '<hr>';
$tmpl->{rx_news_id} = 'news\.cgi\?id=([^"]+)';
$tmpl->{rx_search_strings} = "";
$tmpl->{rx_replace_strings} = "";
$tmpl->setCurrent();

open(FILE, ">/tmp/$tmpl->{id}.html");
print FILE "<html>\n";
print FILE "<head>\n";
print FILE "<title>Test</title>\n";
print FILE "</head>\n";
print FILE "<body>\n";
my $i;
my @tm = localtime();
$tm[4]++;
$tm[5] -= 100;
my $ym = sprintf("%02d%02d0", $tm[5], $tm[4]);
for ($i = 1; $i < 10; $i++)
{
    print FILE "<h1><a href=\"news.cgi?id=$ym$i\_00$i\">News $i</h1>\n";
    print FILE "<a href=\"topic.cgi?id=00$i\"><img src=\"img/topic00$i.png\" alt=\"Topic $i\" title=\"Topic $i\" align=left width=100 height=40></a>\n";
    print FILE "Body of news $i<br>\n";
    print FILE "Line 1<br>\n";
    print FILE "Line 2<br>\n";
    print FILE "Line 3<br>\n";
    print FILE "<hr>\n";
}
print FILE "</body>\n";
print FILE "</html>\n";
close(FILE);

my $nnews = $tmpl->getNews(0,1,1);
my $news;
$i = 9;
foreach $news (@{$nnews})
{
    ok($news->{id} eq "$tmpl->{id}_$ym$i\_00$i", "News id $i ok");
    $i--;
}
unlink("/tmp/$tmpl->{id}.html");
