#!/usr/bin/perl

use strict;
use Test::More tests => 3;

BEGIN { use_ok('MN'); }
BEGIN { use_ok('HTTP::Lite'); }

my $tmpl = new MN::Template();
$tmpl->{id} = "mynews";
$tmpl->{url} = "http://www.neosystem.com/mynews/news/";
$tmpl->{lang} = "en";
$tmpl->{active} = 1;
$tmpl->{rx_news_id} = 'news\.php\?id=([\w_]+)';
$tmpl->{rx_news_start} = 'news\.php';
$tmpl->{rx_news_end} = '<br clear=all>';
$tmpl->{rx_news_name} = 'news\.php.*<strong>([^<]+)</strong>';
$tmpl->{rx_news_date} = '';
$tmpl->{rx_news_first} = '/img/topics';
$tmpl->{rx_news_last} = '<br clear=all>';
$tmpl->{rx_topic_id} = '/img/topics/(\w+)';
$tmpl->{rx_topic_name} = '/img/topics/.*alt="([^"]+)"';
$tmpl->{rx_topic_icon} = '/img/topics/([^"]+)';
$tmpl->{link_news} = 'http://www.neosystem.com/mynews/news/news.php?id=%s';
$tmpl->{link_icon} = 'http://www.neosystem.com/img/topics/%s';
$tmpl->{icon_url} = 'http://www.neosystem.com/img/mynews2.png';
$tmpl->{rx_search_strings} = '/mynews/templates/update\.php'."\n".'/mynews/themes/update\.php';
$tmpl->{rx_replace_strings} = '/admin/templates.cgi'."\n".'/admin/themes.cgi';
$tmpl->setCurrent();

my $nnews = $tmpl->getNews();
ok($nnews && scalar(@{$nnews}), "Get news from MyNews ok");
